## org.eclipse.jst.jsf.metadataprocessors
Interface IType

    public interface IType

Interface representing the information contained by the type registries. Encapsulates the IConfigurationElement information.

Provisional API - subject to change

Method Summary
`java.lang.String` `getBundleID()`
`java.lang.String` `getClassName()`
`java.lang.String` `getTypeID()`

Method Detail

### getTypeID

    java.lang.String getTypeID()

  Returns:
    type id

### getBundleID

    java.lang.String getBundleID()

  Returns:
    bundle id where it is defined

### getClassName

    java.lang.String getClassName()

  Returns:
    classname for the type that must be located within the bundle